A notification dispatch mechanism that enables the broadcast of information to registered observers.

## Getting Started

flutter_notification_center is available through [pub.dev](https://pub.dev/packages/flutter_notification_center).

Add the dependency to your pubspec.yaml:

```yaml
dependencies:
  ...
  flutter_notification_center: ^0.0.`2`
```

## Usage example

Check the example folder

Subscribe observer
```dart
FlutterNotificationCenter().addObserver('updateProfileInfo', () {
  
  // here update the profile
  setState(() {
    
  });
});
```
or
```dart
FlutterNotificationCenter().addObserver('updateProfileInfo', _updateProfileInfo);

...

void _updateProfileInfo() {
  setState(() {
    _counter++;
  });
}
```
Remove observer
```dart
NotificationCenter().removeObserver('updateProfileInfo');
```
Post notification
```dart
FlutterNotificationCenter().post('updateProfileInfo');
```

Passing data

```dart
FlutterNotificationCenter().post('updateProfileInfo', (String name) {
  setState(() {
    log(name);
  });
});
```
```dart
FlutterNotificationCenter().post('updateProfileInfo', data: 10);
```